[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarIsEmpty

Check if the variant is empty

## Declaration

Source position: variants.pp line 74

`function VarIsEmpty(`
`const V: Variant`
`):Boolean;`

## Description

VarIsEmpty checks whether the variant V is empty (i.e. the type is varEmpty).

## See also

VarType |  | Return the type of a variant.
VarAsType |  | Attempt to cast a variant to another type
VarIsType |  | Check if a variant is of certain type
VarIsEmpty |  | Check if the variant is empty
VarCheckEmpty |  | Raise exception if a variant is empty.
VarIsNull |  | Check if a variant is null